Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.calendar
Class AppointmentVCalendarServlet

    java.lang.Object
      |
      +--javax.servlet.GenericServlet
            |
            +--javax.servlet.http.HttpServlet
                  |
                  +--com.compoze.calendar.AppointmentVCalendarServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class AppointmentVCalendarServlet
extends javax.servlet.http.HttpServlet

This class is a servlet that writes the vCalendar of an appointment. The servlet expects that an Http session variable called `AppointmentVCalendarServlet.CALENDAR_SESSION` containing the `com.compoze.calendar.CalendarSession` object.

The servlet also expects the request parameter be set. The `AppointmentVCalendarServlet.APPOINTMENT_ID` parameter must contain the ID of the appointment to serve.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `APPOINTMENT_ID` This represents the request parameter for the appointment id.
`static java.lang.String` | `CALENDAR_SESSION` This represents the Http session attribute name to store the `CalendarSession`.

Constructor Summary
`AppointmentVCalendarServlet()`

Method Summary
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CALENDAR_SESSION

    public static final java.lang.String CALENDAR_SESSION

  This represents the Http session attribute name to store the `CalendarSession`.

### APPOINTMENT_ID

    public static final java.lang.String APPOINTMENT_ID

  This represents the request parameter for the appointment id.

Constructor Detail

### AppointmentVCalendarServlet

    public AppointmentVCalendarServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws javax.servlet.ServletException,
                      java.io.IOException

  Overrides:
    `doGet` in class `javax.servlet.http.HttpServlet`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.